Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1364771

Summary: [DOCS] [3.3] Document the best-fit PVC requests
Product: OpenShift Container Platform Reporter: Vikram Goyal <vigoyal>
Component: DocumentationAssignee: Ashley Hardin <ahardin>
Status: CLOSED CURRENTRELEASE QA Contact: Jianwei Hou <jhou>
Severity: medium Docs Contact: Vikram Goyal <vigoyal>
Priority: medium    
Version: 3.3.0CC: aos-bugs, jokerman, jsafrane, mmccomas
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-09-27 23:17:11 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Vikram Goyal 2016-08-07 09:18:30 UTC
Kubernetes admin PVC request should bind to a best-fit PV, instead of first match, to minimize waste.

Eng card: https://trello.com/c/GVjCqQ8f

Comment 1 Ashley Hardin 2016-08-15 18:14:32 UTC
@Jan - I think this section is what needs updated: https://docs.openshift.com/enterprise/3.2/architecture/additional_concepts/storage.html#pvc-access-modes

Can you please confirm? Thanks!

Comment 2 Jan Safranek 2016-08-16 07:42:35 UTC
I would change chapter "Binding" in https://docs.openshift.com/enterprise/3.2/architecture/additional_concepts/storage.html#binding

There is already written "The user will always get at least what they asked for, but the volume may be in excess of what was requested." The change we introduced is to minimize this "excess" - OpenShift binds to the smallest PV that matches all other criteria.

Comment 3 Ashley Hardin 2016-08-16 15:17:26 UTC
Work in progress: https://github.com/openshift/openshift-docs/pull/2656

@Jan, please take a look. Thanks for your help!

Comment 4 Jan Safranek 2016-08-18 08:17:24 UTC
LGTM

Comment 5 Jianwei Hou 2016-08-19 02:17:15 UTC
Thank you, LGTM

Comment 6 openshift-github-bot 2016-08-19 12:57:38 UTC
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/ff6873c0e1d7ff9ed3f1c140caaba58796a341f9
Bug 1364771, documented best-fit PVC requests

https://github.com/openshift/openshift-docs/commit/5191ec38f85993c2e3f864ef95bc6f59912cb773
Merge pull request #2656 from ahardin-rh/best-fit-pvc

Bug 1364771, documented best-fit PVC requests